<?php
/* We ensure that the plugin cannot be accessed directly */
defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly.' );


if ( ! class_exists( 'UOC_Video_Shortcode_Event' ) ) {
    
    /**
     * Events that will be stored in the database
     */
    class UOC_Video_Shortcode_Event {

        private $timestamp;
        private $user_id;
        private $user_name;
        private $video_id;
        private $action;
        private $parameters;
    
        
        /**
         * Constructor
         */
		public function __construct($user_id, $user_name, $video_id, $action, $parameters)
		{            
            $this->timestamp = time();
            $this->user_id = $user_id;
            $this->user_name = $user_name;
            $this->video_id = $video_id;
            $this->action = $action;
            $this->parameters = $parameters;
		}
        

        /**
         * Returns the event in an array format
         */
        public function toArrayDocument(){
            
            $array_results = array(
                "video_id" => $this->video_id,
                "timestamp" => $this->timestamp,
                "user_id" => $this->user_id,
                "user_name" => $this->user_name,
                "action" => $this->action,
                "parameters" => $this->parameters,                
            );
            
            return $array_results;
        }
    }
}

?>