<?php

/* Security */
/* We ensure that the plugin cannot be accessed directly */
defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly.' );

//OAUTH 2
//UOC Video client id and client secret
//http://open-api.uoc.edu/documentacio/demana-una-clau-dacces-a-la-api/ 
define('UOC_VIDEO_SHORTCODE__OAUTH2_CLIENT_ID', 'XXXX');
define('UOC_VIDEO_SHORTCODE__OAUTH2_CLIENT_SECRET', 'XXXX');

//(League\OAuth2\Client\Provider\UOC)
//Open API URLs
define('UOC_VIDEO_SHORTCODE__OAUTH2_URL_AUTHORIZE','http://oslo.uoc.es:8080/webapps/uocapi/oauth/authorize');
define('UOC_VIDEO_SHORTCODE__OAUTH2_URL_ACCESS_TOKEN','http://oslo.uoc.es:8080/webapps/uocapi/oauth/token');
define('UOC_VIDEO_SHORTCODE__OAUTH2_URL_GET_USER_DETAILS','http://oslo.uoc.es:8080/webapps/uocapi/api/v1/user');

//MONGODB SETTINGS (connection)
define('UOC_VIDEO_SHORTCODE__MONGODB_HOST','localhost');
define('UOC_VIDEO_SHORTCODE__MONGODB_PORT','27017');
define('UOC_VIDEO_SHORTCODE__MONGODB_USER','uoc_video_user');
define('UOC_VIDEO_SHORTCODE__MONGODB_PASSWORD','uoc_video_pwd');
define('UOC_VIDEO_SHORTCODE__MONGODB_DB','uoctest');
define('UOC_VIDEO_SHORTCODE__MONGODB_COLLECTION','uoc_video');

//OTHER SETTINGS (Security)
//Session salts
define('UOC_VIDEO_SHORTCODE__SESSION_USER_AGENT_SALT','FirstSaltedUOCString');
define('UOC_VIDEO_SHORTCODE__SESSION_REMOTE_ADDR_SALT','SecondSaltedUOCString');

//Ajax calls salts
define('UOC_VIDEO_SHORTCODE__AJAX_CALLS_SALT','ThisIsAnAJAXCallSaltForUOCVideo');

//Max session time validity (2h = 7200s)
define('UOC_VIDEO_SHORTCODE__MAX_AUTH_SESSION_TIME_SECONDS',7200);

define('UOC_VIDEO_SHORTCODE__DATE_TIME_ZONE','Europe/London');

?>