<?php
/* We ensure that the plugin cannot be accessed directly */
defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly.' );


if ( ! interface_exists( 'UOC_Video_Shortcode_Manage_DataBase' ) ) {
    
    /**
     * Interface of methods avaiable working with the Database
     */
    interface UOC_Video_Shortcode_Manage_DataBase{ 
        /**
         * Inserts an action to the DB
         */
        public function create($document);

        /**
         * Gets an action from the DB
         */
        public function read($document);

        /**
         * Updates an action from the DB
         */
        public function update($document); 

        /**
         * Deletes an action from the DB
         */
        public function delete($document); 
		
		/**
         * Connects to the database
         */		
		public function connect();
		
		/**
         * Checks the current connection
         */
		public function check_connection();
    }    
}

?>